net.minecraft.client.util

## Class JsonException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - net.minecraft.client.util.JsonException

- All Implemented Interfaces:
    java.io.Serializable

      public class JsonException
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JsonException.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonException(java.lang.String p_i45279_1_)`
    `JsonException(java.lang.String p_i45280_1_, java.lang.Throwable p_i45280_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonException` | `func_151379_a(java.lang.Exception p_151379_0_)`
    `void` | `func_151380_a(java.lang.String p_151380_1_)`
    `void` | `func_151381_b(java.lang.String p_151381_1_)`
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonException

          public JsonException(java.lang.String p_i45279_1_)

    - #### JsonException

          public JsonException(java.lang.String p_i45280_1_,
                       java.lang.Throwable p_i45280_2_)

  - ### Method Detail

    - #### func_151380_a

          public void func_151380_a(java.lang.String p_151380_1_)

    - #### func_151381_b

          public void func_151381_b(java.lang.String p_151381_1_)

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### func_151379_a

          public static JsonException func_151379_a(java.lang.Exception p_151379_0_)